curl --request POST \
--url https://sandbox.layerfi.com/v1/businesses/{businessId}/custom-accounts/{customAccountId}/transactions/record \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form 'transaction=<string>' \
--form 'files=<string>' \
--form files.items='@example-file'import requests
url = "https://sandbox.layerfi.com/v1/businesses/{businessId}/custom-accounts/{customAccountId}/transactions/record"
files = { "files.items": ("example-file", open("example-file", "rb")) }
payload = {
"transaction": "<string>",
"files": "<string>"
}
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, data=payload, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('transaction', '<string>');
form.append('files', '<string>');
form.append('files.items', '{
"fileName": "example-file"
}');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://sandbox.layerfi.com/v1/businesses/{businessId}/custom-accounts/{customAccountId}/transactions/record', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"type": "Bank_Transaction",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source": "PLAID",
"source_transaction_id": "g4DlKyjXqGH3Kp5XlaWMtwLRrE4Z9AiE8B4Ko",
"source_account_id": "Aaoy8G7VXZHVeqNoL1GvcmkPdqpLRWi9NArdG",
"external_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"imported_at": "2023-11-07T05:31:56Z",
"date": "2023-11-07T05:31:56Z",
"direction": "DEBIT",
"amount": 123,
"counterparty_name": "WeWork",
"description": "WeWork monthly rent payment",
"account_name": "Plaid Checking",
"categorizationStatus": "CATEGORIZED",
"category": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"category": "RENT",
"display_name": "Rent",
"stable_name": "RENT"
},
"categorization_method": "API",
"tax_code": "GST_PST_BC",
"tax_options": {
"canada": [
{
"code": "GST_PST_BC",
"display_name": "GST/PST BC",
"type": "TAXABLE",
"total_rate": "12.000",
"components": [
{
"code": "PST_BC",
"type": "GST",
"rate": "7.000",
"recoverable": true,
"province": "BRITISH_COLUMBIA"
}
],
"province": "BRITISH_COLUMBIA",
"effective_from": "2023-12-25",
"effective_to": "2023-12-25"
}
]
},
"projected_income_category": "REVENUE",
"suggested_matches": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"matchType": "TRANSFER",
"details": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 123,
"date": "2023-11-07T05:31:56Z",
"description": "Transfer from SavingsAccount to CheckingAccount"
}
}
],
"match": {
"type": "Match",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"match_type": "TRANSFER",
"bank_transaction": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"date": "2023-11-07T05:31:56Z",
"amount": 123,
"business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source": "PLAID",
"source_transaction_id": "g4DlKyjXqGH3Kp5XlaWMtwLRrE4Z9AiE8B4Ko",
"source_account_id": "Aaoy8G7VXZHVeqNoL1GvcmkPdqpLRWi9NArdG",
"external_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"imported_at": "2023-11-07T05:31:56Z",
"direction": "DEBIT",
"counterparty_name": "WeWork",
"description": "WeWork monthly rent payment",
"account_name": "Plaid Checking",
"categorizationStatus": "CATEGORIZED",
"memo": "<string>",
"metadata": {
"custom_field": "value",
"any valid json": "below 1kb",
"nested": {
"meaning of life": 42,
"array": []
}
},
"reference_number": "<string>"
},
"details": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 123,
"date": "2023-11-07T05:31:56Z",
"description": "Transfer from SavingsAccount to CheckingAccount"
}
},
"transaction_tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "ExampleTagKey",
"value": "ExampleTagValue",
"dimension_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dimension_display_name": "<string>",
"value_display_name": "<string>",
"archived_at": "2023-11-07T05:31:56Z"
}
],
"memo": "<string>",
"metadata": {
"custom_field": "value",
"any valid json": "below 1kb",
"nested": {
"meaning of life": 42,
"array": []
}
},
"reference_number": "<string>"
}
}{
"data": {
"type": "Bank_Transaction",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source": "PLAID",
"source_transaction_id": "g4DlKyjXqGH3Kp5XlaWMtwLRrE4Z9AiE8B4Ko",
"source_account_id": "Aaoy8G7VXZHVeqNoL1GvcmkPdqpLRWi9NArdG",
"external_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"imported_at": "2023-11-07T05:31:56Z",
"date": "2023-11-07T05:31:56Z",
"direction": "DEBIT",
"amount": 123,
"counterparty_name": "WeWork",
"description": "WeWork monthly rent payment",
"account_name": "Plaid Checking",
"categorizationStatus": "CATEGORIZED",
"category": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"category": "RENT",
"display_name": "Rent",
"stable_name": "RENT"
},
"categorization_method": "API",
"tax_code": "GST_PST_BC",
"tax_options": {
"canada": [
{
"code": "GST_PST_BC",
"display_name": "GST/PST BC",
"type": "TAXABLE",
"total_rate": "12.000",
"components": [
{
"code": "PST_BC",
"type": "GST",
"rate": "7.000",
"recoverable": true,
"province": "BRITISH_COLUMBIA"
}
],
"province": "BRITISH_COLUMBIA",
"effective_from": "2023-12-25",
"effective_to": "2023-12-25"
}
]
},
"projected_income_category": "REVENUE",
"suggested_matches": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"matchType": "TRANSFER",
"details": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 123,
"date": "2023-11-07T05:31:56Z",
"description": "Transfer from SavingsAccount to CheckingAccount"
}
}
],
"match": {
"type": "Match",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"match_type": "TRANSFER",
"bank_transaction": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"date": "2023-11-07T05:31:56Z",
"amount": 123,
"business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source": "PLAID",
"source_transaction_id": "g4DlKyjXqGH3Kp5XlaWMtwLRrE4Z9AiE8B4Ko",
"source_account_id": "Aaoy8G7VXZHVeqNoL1GvcmkPdqpLRWi9NArdG",
"external_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"imported_at": "2023-11-07T05:31:56Z",
"direction": "DEBIT",
"counterparty_name": "WeWork",
"description": "WeWork monthly rent payment",
"account_name": "Plaid Checking",
"categorizationStatus": "CATEGORIZED",
"memo": "<string>",
"metadata": {
"custom_field": "value",
"any valid json": "below 1kb",
"nested": {
"meaning of life": 42,
"array": []
}
},
"reference_number": "<string>"
},
"details": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 123,
"date": "2023-11-07T05:31:56Z",
"description": "Transfer from SavingsAccount to CheckingAccount"
}
},
"transaction_tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "ExampleTagKey",
"value": "ExampleTagValue",
"dimension_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dimension_display_name": "<string>",
"value_display_name": "<string>",
"archived_at": "2023-11-07T05:31:56Z"
}
],
"memo": "<string>",
"metadata": {
"custom_field": "value",
"any valid json": "below 1kb",
"nested": {
"meaning of life": 42,
"array": []
}
},
"reference_number": "<string>"
}
}{
"type": "InvalidParameters",
"description": "<string>",
"error_enum": "InvalidPayload",
"meta": {}
}{
"type": "InvalidParameters",
"description": "<string>",
"error_enum": "InvalidPayload",
"meta": {}
}Record custom account transaction
Records one expense (DEBIT) or income transaction (CREDIT) on a custom account. Send the transaction as a JSON-encoded multipart form field and optionally attach up to five receipt files. If external_id already exists on this account, returns the existing transaction instead of creating another one.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The UUID of the business.
The UUID of the custom account to record the transaction on.
Body
JSON string with required amount (integer cents), direction (DEBIT for expense or CREDIT for income), date (YYYY-MM-DD or ISO 8601 timestamp), and description. Optional fields: external_id (idempotency key), merchant_name, customer_id, customer_external_id, vendor_id, vendor_external_id, categorization (single Category object), memo, metadata, reference_number, and tags.
Optional receipt files (up to five); each file must have a unique filename.
Response
An existing transaction with the same external_id was returned.
Show child attributes
Show child attributes